## Package org.codehaus.plexus.personality.plexus.lifecycle.phase

Contains the interfaces (and exceptions) which represent the component lifecycle phases of the Plexus personality.

See:
Description

Interface Summary
Configurable: Configures a component.
Contextualizable
Disposable
Initializable
Serviceable: Indicates that a class wants a hold on a ServiceLocator.
ServiceLocator: Provides services to components by means of a lookup.
Startable
Suspendable

Exception Summary
InitializationException: Indicates a problem occurred when initialising a component.
StartingException: Error occuring while starting a component.
StoppingException: Error occuring while starting a component.

## Package org.codehaus.plexus.personality.plexus.lifecycle.phase Description

Contains the interfaces (and exceptions) which represent the component lifecycle phases of the Plexus personality.

Copyright © 2011. All Rights Reserved.